/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#pragma once
#include "CoreMinimal.h"
#include "EdGraphSchema_K2.h"
#include "EdGraphUtilities.h"
#include "K2Node_CallFunction.h"
#include "UObject/NoExportTypes.h"

#include "K2Node_InworldCreateErrorData.generated.h"

/**
 *
 */
UCLASS()
class UK2Node_InworldCreateErrorData : public UK2Node_CallFunction
{
	GENERATED_BODY()
public:
	virtual void GetMenuActions(FBlueprintActionDatabaseRegistrar& ActionRegistrar) const override;
	virtual void PinDefaultValueChanged(UEdGraphPin* ChangedPin) override;
	virtual void PostReconstructNode() override;
	virtual void ClearCachedBlueprintData(UBlueprint* Blueprint) override;
	void RefreshOutputStructType();
};
